Skip to content
  • Change GeoPoint

    Use this endpoint to submit problem GeoPoints with comments and proposed corrections.

    Change a GeoPoint

    Request

    Use this GET endpoint to submit problem GeoPoints with comments and proposed corrections. This is part of our contribution pipeline to include user input and improve data accuracy.

    To ensure your correction can be processed, include the MelissaAddressKey (MAK) identifier for the address, the proposed new coordinates (latitude and longitude), and an explanation in the comments field (e.g., “Moved pin from the highway to the actual building entrance”). Submissions without adequate justification may be discarded.

    Upon a successful request you will get an MS01 result code and a successful submission message.

    All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

    Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

    Query
    tstring

    Value passed through unchanged to the response for identification or any other purpose.

    Example:t=Test
    idany, (password)required

    Required. The License Key issued by Melissa.

    Example:id={REPLACE-WITH-YOUR-LICENSE-KEY}
    ctrystringrequired

    ISO2 code for the country.

    Example:ctry=US
    maknumberrequired

    A proprietary unique key identifier for an address.

    Example:mak=8008006245
    latnumberrequired

    The corrected latitude.

    Example:lat=33.637562
    longnumberrequired

    The corrected longitude.

    Example:long=-117.606887
    reasonstring

    Any additional information you want to add about the change request.

    Example:reason=GeoPoint Change needed
    respondtostring

    The email address to receive updates about the change request.

    Example:respondto=youremail@melissadata.com
    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""*/*"
    Example:application/json
    Content-Typestringrequired

    Format of the request.

    Value:"application/json"
    GET
    /changeGeoPoint
    curl -i -X GET \
      'http://contribution.melissadata.net/V4/WEB/changeGeoPoint?id=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&ctry=US&mak=8008006245&lat=33.637562&long=-117.606887' \
      -H 'Accept: application/json' \
      -H 'Content-Type: application/json'

    Responses

    Successful response

    Bodyapplication/json
    Versionstring

    The current service version number.

    TransmissionResultsstring

    Lists error codes from any errors caused by the most recent request as a whole. For more information, see Contribution Result Codes.

    TransmissionReferencestring

    Serves as a unique request identifier.

    Resultsstring

    Comma delimited status, error codes, and change codes for the record. For more information, see Contribution Result Codes.

    Messagestring

    The response message for the request.

    Response
    { "Version": "8.4.0.1026", "TransmissionReference": "Test", "TransmissionResults": "", "Results": "MS01", "Message": "Thank you for submitting your correction. All submissions will be reviewed and added. We cannot guarantee that all submissions will be reflected in our final products or when they will be added. Usual turn-around time is several months." }